Bug 844550

Summary: [RFE] Provide sort by option on branch stats page
Product: [Retired] Zanata Reporter: Parag Nemade <pnemade>
Component: Component-UIAssignee: Alex Eng <aeng>
Status: CLOSED CURRENTRELEASE QA Contact: Ding-Yi Chen <dchen>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 1.6.1CC: aeng, mkim, sflaniga, zanata-bugs
Target Milestone: ---   
Target Release: 2.1   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 2.1-SNAPSHOT (20121109-0034) Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-27 07:57:42 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Parag Nemade 2012-07-31 04:04:10 UTC
Description of problem:
When I am on stats page and reloads browser, sort order gets overridden by default sort order by percentage.

When I actually set sort by Language and reload the page, it should remain sorted by Language and update the stats.


Version-Release number of selected component (if applicable):
zanata python client version: 1.3.8, zanata server API version: 1.6.0


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
set sort order by Language and refresh that page resets sort order to Languages

Expected results:
set sort order by Language and refresh that page should not reset the sort order to Languages

Additional info:

Comment 1 Michelle Kim 2012-11-06 07:31:32 UTC
If you use "Refresh" table button on the top of the stats, this bug is fixed now. As long as user do not hit browser's refresh, it is okay. If they use browser refresh function, then the sorting order will be back to default percentage sort. 

Runa, Are you able to confirm if this bug is now fixed with "Refresh" button on the right hand side of stats view?

Thanks
Michelle

Comment 2 Alex Eng 2012-11-07 01:03:40 UTC
Implemented "Refresh" button locally in 2.0 which will prevent the sorting change to default (browser refresh).

See 
https://github.com/zanata/zanata/commit/38ce7e53e4c8624f075e161283c96a2564c6fc57

Comment 3 Ding-Yi Chen 2012-11-09 01:38:17 UTC
VERIFIED with Zanata version 2.1-SNAPSHOT (20121109-0034)

Comment 4 Sean Flanigan 2012-11-09 02:34:04 UTC
Should this have target release of 2.0?  Was it already released?

Comment 5 Ding-Yi Chen 2012-11-13 07:17:09 UTC
As far as I see, this fix is also in Zanata version 2.0.3-SNAPSHOT (20121113-0009).